Skip to main content
`Ctrl`+`K`

# MatSetType

Builds matrix object for a particular matrix type

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetType(Mat mat, MatType matype)

Collective

## Input Parameters

- mat - the matrix object

- matype - matrix type

## Options Database Key

- -mat_type type - Sets the type; see `MatType`

## Note

See `MatType` for possible values

## See Also

Matrices, `Mat`, `PCSetType()`, `VecSetType()`, `MatCreate()`, `MatType`

## Level

intermediate

## Location

src/mat/interface/matreg.c

## Examples

src/ksp/ksp/tutorials/ex55.c
src/ksp/ksp/tutorials/ex59.c
src/ksp/ksp/tutorials/ex100.c
src/ksp/ksp/tutorials/ex56.c
src/ksp/ksp/tutorials/ex19.c
src/ksp/ksp/tutorials/ex54.c
src/ksp/ksp/tutorials/ex100f.F90
src/ksp/ksp/tutorials/ex15f.F90
src/ksp/ksp/tutorials/ex71.c
src/ksp/ksp/tutorials/ex85.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages